# eric7.Preferences.ConfigurationPages.IconsPage

Module implementing the Icons configuration page.

### Global Attributes

None

### Classes

IconsPage | Class implementing the Icons configuration page.

### Functions

create | Module function to create the configuration page.

## IconsPage

Class implementing the Icons configuration page.

### Derived from

ConfigurationPageBase, Ui_IconsPage

### Class Attributes

None

### Class Methods

None

### Methods

IconsPage | Constructor
__getSelectedDefaultIconsPath | Private method to determine the selected default icons path.
on_addIconDirectoryButton_clicked | Private slot to add the icon directory displayed to the listbox.
on_deleteIconDirectoryButton_clicked | Private slot to delete the currently selected directory of the listbox.
on_downButton_clicked | Private slot called to move the selected item down in the list.
on_iconDirectoryList_currentRowChanged | Private slot to handle the currentRowChanged signal of the icons directory list.
on_iconDirectoryPicker_textChanged | Private slot to handle the textChanged signal of the directory picker.
on_showDefaultIconsButton_clicked | Private slot to display a preview of the selected default icons.
on_showIconsButton_clicked | Private slot to display a preview of an icons directory.
on_upButton_clicked | Private slot called to move the selected item up in the list.
save | Public slot to save the Icons configuration.

### Static Methods

None

#### IconsPage (Constructor)

IconsPage()

Constructor

#### IconsPage.__getSelectedDefaultIconsPath

__getSelectedDefaultIconsPath()

Private method to determine the selected default icons path.

Return:
  selected default icons path

Return Type:
  str

#### IconsPage.on_addIconDirectoryButton_clicked

on_addIconDirectoryButton_clicked()

Private slot to add the icon directory displayed to the listbox.

#### IconsPage.on_deleteIconDirectoryButton_clicked

on_deleteIconDirectoryButton_clicked()

Private slot to delete the currently selected directory of the listbox.

#### IconsPage.on_downButton_clicked

on_downButton_clicked()

Private slot called to move the selected item down in the list.

#### IconsPage.on_iconDirectoryList_currentRowChanged

on_iconDirectoryList_currentRowChanged(row)

Private slot to handle the currentRowChanged signal of the icons directory list.

row
  the current row (integer)

#### IconsPage.on_iconDirectoryPicker_textChanged

on_iconDirectoryPicker_textChanged(txt)

Private slot to handle the textChanged signal of the directory picker.

txt
  the text of the directory picker (string)

#### IconsPage.on_showDefaultIconsButton_clicked

on_showDefaultIconsButton_clicked()

Private slot to display a preview of the selected default icons.

#### IconsPage.on_showIconsButton_clicked

on_showIconsButton_clicked()

Private slot to display a preview of an icons directory.

#### IconsPage.on_upButton_clicked

on_upButton_clicked()

Private slot called to move the selected item up in the list.

#### IconsPage.save

save()

Public slot to save the Icons configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Return:
  reference to the instantiated page (ConfigurationPageBase)

Up